/Users/bernard/b20/bsoft/tcltk/bshow_helix.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_helix.tcl - Procedures to manage helical diffraction patterns.

SYNOPSIS

  Functions
Helix
Dialog box to manage helix information.
setLayerLineIndex
Dialog box to set the index for the selected layer line.
setLayerLineIndex_and_DestroyWindow w
Sets the index for a layer line.
layerLineCreateSelect x y
Creates or selects a layer line.
layerLineSelect x y
Selects a layer line.
layerLineMove x y
Moves the selected layer line location.
drawHelixAxis
Draws a line along the helix axis on the canvas.
layerLineDraw id
Draws a layer line in the original image on the canvas.
layerLinesDrawAll
Draws all layer lines on the canvas.
layerLineDelete x y
Deletes the selected layer line on the canvas.
layerLineDeleteAll
Deletes all layer lines in list.
layerLinesGenerate
Generates layer lines from unit cell vectors.
layerLinesGenerate_and_DestroyWindow w
Generates layer lines from unit cell vectors.
layerLinesMask
Masks layer lines.
layerLinePlot id order rad
Plots the selected layer line in the plot canvas.
updateLayerLineParam
Updates layer line parameters from the micrograph parameters in memory.

Detailed Description

Procedures to manage helical diffraction patterns.

Author:
    Bernard Heymann

Date:
    Created: 20070516

    Modified: 20160203

Definition in file bshow_helix.tcl.

Function Documentation

  drawHelixAxis

Draws a line along the helix axis on the canvas.

Definition at line 336 of file bshow_helix.tcl.

  Helix

Dialog box to manage helix information.

Definition at line 22 of file bshow_helix.tcl.

  layerLineCreateSelectx y

Creates or selects a layer line.

Parameters:
    x
    y Layer line position in canvas coordinates.

Definition at line 243 of file bshow_helix.tcl.

  layerLineDeletex y

Deletes the selected layer line on the canvas.

Parameters:
    x
    y Layer line position in window coordinates.

Definition at line 443 of file bshow_helix.tcl.

  layerLineDeleteAll

Deletes all layer lines in list.

Definition at line 458 of file bshow_helix.tcl.

  layerLineDrawid

Draws a layer line in the original image on the canvas.

Parameters:
    id Layer line index.

Definition at line 366 of file bshow_helix.tcl.

  layerLineMovex y

Moves the selected layer line location.

Parameters:
    x
    y Layer line position in canvas coordinates.

Definition at line 311 of file bshow_helix.tcl.

  layerLinePlotid order rad

Plots the selected layer line in the plot canvas.

Parameters:
    id Layer line index.
    order Layer line order.
    rad Layer line length.

Definition at line 540 of file bshow_helix.tcl.

  layerLinesDrawAll

Draws all layer lines on the canvas.

Definition at line 416 of file bshow_helix.tcl.

  layerLineSelectx y

Selects a layer line.

Parameters:
    x
    y Layer line position in canvas coordinates.

Definition at line 276 of file bshow_helix.tcl.

  layerLinesGenerate

Generates layer lines from unit cell vectors.

Definition at line 472 of file bshow_helix.tcl.

  layerLinesGenerate_and_DestroyWindoww

Generates layer lines from unit cell vectors.

Parameters:
    w the window to destroy.

Definition at line 500 of file bshow_helix.tcl.

  layerLinesMask

Masks layer lines.

Definition at line 525 of file bshow_helix.tcl.

  setLayerLineIndex

Dialog box to set the index for the selected layer line.

Definition at line 159 of file bshow_helix.tcl.

  setLayerLineIndex_and_DestroyWindoww

Sets the index for a layer line.

Parameters:
    w the window to destroy.

Definition at line 209 of file bshow_helix.tcl.

  updateLayerLineParam

Updates layer line parameters from the micrograph parameters in memory.

Definition at line 593 of file bshow_helix.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.